Name:		silicon
Version:	2.0.0
Release:	%mkrel 7
Group:		Archiving/Cd burning
License:	GPLv3
Url:		http://getsilicon.org
Source0:	http://getsilicon.org/download/%{name}_%{version}_source.tar.gz
Summary:	Disc burning application
Patch0:		%{name}-1.8.1-splugin-lyricbrowser.patch
Patch1:		%{name}-1.8.1-qtlocalpeer.patch
Patch2:		%{name}-2.0.0-taglib-1.10.patch

BuildRequires:	cmake
BuildRequires:	qt4-devel
BuildRequires:	pkgconfig(phonon)
BuildRequires:	pkgconfig(taglib)
# Extra BR needed for plugins check
BuildRequires:	pkgconfig(udisks)
BuildRequires:	cdrkit
BuildRequires:	cdrkit-genisoimage
BuildRequires:	dvd+rw-tools
BuildRequires:	fuseiso
BuildRequires:	mpg123

Requires:	cdrkit
Requires:	cdrkit-genisoimage
Requires:	mpg123
Requires:	dvd+rw-tools
Requires:	udisks
Requires:	fuseiso
Requires:	%{name}-plugin-udisks

%description
Silicon Empire is set of tools to Burn, Copy, Backup and Manage
your optical discs like CDs, DVDs and Blu-Rays.

%files
%doc README Authors
%{_bindir}/%{name}
%{_libdir}/libSDataBase.so
%{_libdir}/libSiDi.so
%{_libdir}/libSiliconLib.so
%{_datadir}/applications/silicon.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}/languages/
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/apps
%dir %{_libdir}/%{name}/plugins
%dir %{_datadir}/%{name}

#-----------------------------------------------------

%package	audio-disc
Summary:	Silicon audio disc
Group:		Archiving/Cd burning
Requires:	%{name} = %{version}-%{release}

%description	audio-disc
Silicon application to create Audio discs:
* CDs
* DVDs
* Blu-Rays

%files		audio-disc
%{_libdir}/%{name}/apps/libAudioDisc.so

#-----------------------------------------------------

%package	converter
Summary:	Silicon converter
Group:		Archiving/Cd burning
Requires:	%{name} = %{version}-%{release}

%description	converter
Silicon application to convert your files to other
supported formats.

%files		converter
%{_libdir}/%{name}/apps/libConverter.so

#-----------------------------------------------------

%package	copy-disc
Summary:	Silicon copy disc
Group:		Archiving/Cd burning
Requires:	%{name} = %{version}-%{release}

%description	copy-disc
Silicon application to copy a disc to another disc.

%files		copy-disc
%{_libdir}/%{name}/apps/libCopyDisc.so

#-----------------------------------------------------

%package	database
Summary:	Silicon database
Group:		Archiving/Cd burning
Requires:	%{name} = %{version}-%{release}

%description	database
Silicon application to show informations and indexed data
that DiscScanner stored into the Silicon DataBase.

%files		database
%{_libdir}/%{name}/apps/libDataBase.so

#-----------------------------------------------------

%package	data-disc
Summary:	Silicon data disc
Group:		Archiving/Cd burning
Requires:	%{name} = %{version}-%{release}

%description	data-disc
Silicon application to burn data discs or to create data images.

%files		data-disc
%{_libdir}/%{name}/apps/libDataDisc.so

#-----------------------------------------------------

%package	disc-details
Summary:	Silicon disc details
Group:		Archiving/Cd burning
Requires:	%{name} = %{version}-%{release}

%description	disc-details
Silicon application to show disc, image or database disc details.

%files		disc-details
%{_libdir}/%{name}/apps/libDiscDetails.so

#-----------------------------------------------------

%package	disc-eraser
Summary:	Silicon disc eraser
Group:		Archiving/Cd burning
Requires:	%{name} = %{version}-%{release}

%description	disc-eraser
Silicon application to erase rw discs.

%files		disc-eraser
%{_libdir}/%{name}/apps/libDiscEraser.so

#-----------------------------------------------------

%package        disc-imaging
Summary:        Silicon disc imaging
Group:          Archiving/Cd burning
Requires:       %{name} = %{version}-%{release}

%description    disc-imaging
Silicon application to create images of your discs.

%files          disc-imaging
%{_libdir}/%{name}/apps/libDiscImaging.so

#-----------------------------------------------------

%package        disc-scanner
Summary:        Silicon disc scanner
Group:          Archiving/Cd burning
Requires:       %{name} = %{version}-%{release}

%description    disc-scanner
Silicon application to collect data from your discs to the
Silicon DataBase.

%files          disc-scanner
%{_libdir}/%{name}/apps/libDiscScanner.so

#-----------------------------------------------------

%package        image-burner
Summary:        Silicon app image burner
Group:          Archiving/Cd burning
Requires:       %{name} = %{version}-%{release}

%description    image-burner
Silicon application to burn a images to discs.

%files          image-burner
%{_libdir}/%{name}/apps/libImageBurner.so

#-----------------------------------------------------

%package        library
Summary:        Silicon app library
Group:          Archiving/Cd burning
Requires:       %{name} = %{version}-%{release}

%description    library
Silicon application to manage your iso images in a classic way.

%files          library
%{_libdir}/%{name}/apps/libLibrary.so

#-----------------------------------------------------

%package        limoo
Summary:        Silicon app limoo
Group:          Archiving/Cd burning
Requires:       %{name} = %{version}-%{release}

%description    limoo
Silicon application - Limoo image viewer.

%files          limoo
%{_libdir}/%{name}/apps/libLimoo.so

#-----------------------------------------------------

%package        mounter
Summary:        Silicon app mounter
Group:          Archiving/Cd burning
Requires:       %{name} = %{version}-%{release}

%description    mounter
Silicon application to mount/umount images easily.

%files          mounter
%{_libdir}/%{name}/apps/libMounter.so

#-----------------------------------------------------

%package        sample-app
Summary:        Silicon sample app
Group:          Archiving/Cd burning
Requires:       %{name} = %{version}-%{release}

%description    sample-app
Silicon sample application.

%files          sample-app
%{_libdir}/%{name}/apps/libSampleApp.so

#-----------------------------------------------------

%package        script-runner
Summary:        Silicon app script runner
Group:          Archiving/Cd burning
Requires:       %{name} = %{version}-%{release}

%description    script-runner
%{summary}.

%files          script-runner
%{_libdir}/%{name}/apps/libScriptRunner.so

#-----------------------------------------------------

%package        tagarg-player
Summary:        Silicon app tagarg player
Group:          Archiving/Cd burning
Requires:       %{name} = %{version}-%{release}

%description    tagarg-player
Silicon music player.

%files          tagarg-player
%{_libdir}/%{name}/apps/libTagargPlayer.so

#-----------------------------------------------------

%package	themes
Summary:	Silicon themes
Group:		Archiving/Cd burning
Requires:	%{name} = %{version}-%{release}

%description	themes
%{summary}.

%files		themes
%{_datadir}/%{name}/themes/

#-----------------------------------------------------

%package	plugin-lyric-browser
Summary:	Silicon lyric browser plugin
Group:		Archiving/Cd burning
Requires:	%{name} = %{version}-%{release}

%description	plugin-lyric-browser
%{summary}.

%files		plugin-lyric-browser
%{_libdir}/%{name}/plugins/libLyricBrowser.so

#-----------------------------------------------------

%package	plugin-now-playing
Summary:	Silicon now playing plugin
Group:		Archiving/Cd burning
Requires:	%{name} = %{version}-%{release}

%description	plugin-now-playing
%{summary}.

%files		plugin-now-playing
%{_libdir}/%{name}/plugins/libNowPlaying.so

#-----------------------------------------------------

%package	plugin-single-inner-dialog
Summary:	Silicon single inner dialog plugin
Group:		Archiving/Cd burning
Requires:	%{name} = %{version}-%{release}

%description	plugin-single-inner-dialog
%{summary}.

%files		plugin-single-inner-dialog
%{_libdir}/%{name}/plugins/libSingleInnerDialog*.so

#-----------------------------------------------------

%package	plugin-system-tray
Summary:	Silicon system tray plugin
Group:		Archiving/Cd burning
Requires:	%{name} = %{version}-%{release}

%description	plugin-system-tray
%{summary}.

%files		plugin-system-tray
%{_libdir}/%{name}/plugins/libSystemTray.so

#-----------------------------------------------------

%package	plugin-tagarg-audio-disc
Summary:	Silicon tagarg audio disc plugin
Group:		Archiving/Cd burning
Requires:	%{name} = %{version}-%{release}

%description	plugin-tagarg-audio-disc
%{summary}.

%files		plugin-tagarg-audio-disc
%{_libdir}/%{name}/plugins/libTagargAudioDisc.so

#-----------------------------------------------------

%package	plugin-eraser
Summary:	Silicon eraser plugin
Group:		Archiving/Cd burning
Requires:	%{name} = %{version}-%{release}

%description	plugin-eraser
Silicon eraser plugin.

Erase Optical discs using dvd+rw-tools and cdrecord.

%files		plugin-eraser
%{_libdir}/%{name}/plugins/libEraser.so

#-----------------------------------------------------

%package	plugin-mkisofs
Summary:	Silicon MkIsoFs plugin
Group:		Archiving/Cd burning
Requires:	%{name} = %{version}-%{release}

%description	plugin-mkisofs
Silicon MkIsoFs plugin.

Create Iso Images using MkIsoFs.

%files		plugin-mkisofs
%{_libdir}/%{name}/plugins/libMkIsoFs.so

#-----------------------------------------------------

%package	plugin-udisks
Summary:	Silicon UDisks plugin
Group:		Archiving/Cd burning
Requires:	%{name} = %{version}-%{release}

%description	plugin-udisks
Silicon UDisks plugin.

Detect Devices using UDisks.

%files		plugin-udisks
%{_libdir}/%{name}/plugins/libUDisks.so

#-----------------------------------------------------

%package	plugin-fuseiso
Summary:	Silicon fuseiso plugin
Group:		Archiving/Cd burning
Requires:	%{name} = %{version}-%{release}

%description	plugin-fuseiso
Silicon fuseiso plugin.

Mount Disc images using FUseIso.

%files		plugin-fuseiso
%{_libdir}/%{name}/plugins/libFUseIso.so

#-----------------------------------------------------

%package	plugin-mpg123
Summary:	Silicon mpg123 plugin
Group:		Archiving/Cd burning
Requires:	%{name} = %{version}-%{release}

%description	plugin-mpg123
Silicon mpg123 plugin.

It's used to convert mpeg formats.

%files		plugin-mpg123
%{_libdir}/%{name}/plugins/libmpg123.so

#-----------------------------------------------------

%package	plugin-audio-cd-record
Summary:	Silicon Audio CD record plugin
Group:		Archiving/Cd burning
Requires:	%{name} = %{version}-%{release}

%description	plugin-audio-cd-record
Silicon Audio CD record plugin.

Burn Audio-Discs using AudioCdRecord/Wodim.

%files		plugin-audio-cd-record
%{_libdir}/%{name}/plugins/libAudioCdRecord.so

#-----------------------------------------------------

%package	plugin-cd-record
Summary:	Silicon CD record plugin
Group:		Archiving/Cd burning
Requires:	%{name} = %{version}-%{release}

%description	plugin-cd-record
Silicon CD record plugin.

Copy Disc to Disc or Burn Images to Discsr using CdRecord/Wodim.

%files		plugin-cd-record
%{_libdir}/%{name}/plugins/libCdRecord.so

#-----------------------------------------------------

%package	plugin-mkdiscfs
Summary:	Silicon MkDiscFs plugin
Group:		Archiving/Cd burning
Requires:	%{name} = %{version}-%{release}

%description	plugin-mkdiscfs
Silicon MkDiscFs plugin.

Burn Data Discs using MkIsoFs and CdRecord.

%files		plugin-mkdiscfs
%{_libdir}/%{name}/plugins/libMkDiscFs.so

#-----------------------------------------------------

%package	plugin-read-cd
Summary:	Silicon read CD plugin
Group:		Archiving/Cd burning
Requires:	%{name} = %{version}-%{release}

%description	plugin-read-cd
Silicon read CD plugin.

Read Discs using ReadCd/Readom.

%files		plugin-read-cd
%{_libdir}/%{name}/plugins/libReadCd.so

#-----------------------------------------------------

%prep
%setup -q -n %{name}-empire
%autopatch -p1

%build
cd src
%cmake_qt4
%make

%install
%make_install -C src/build

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop


%changelog
* Tue May 31 2016 daviddavid <daviddavid> 2.0.0-7.mga6
+ Revision: 1019598
- add missing requires on silicon-plugin-udisks in the main package (mga#14964)

* Fri Feb 05 2016 daviddavid <daviddavid> 2.0.0-6.mga6
+ Revision: 936977
- enable some more extra plugins:
  * plugin-eraser and plugin-mkisofs
  * plugin-udisks and plugin-fuseiso
  * plugin-mpg123 and plugin-audio-cd-record
  * plugin-cd-record and plugin-mkdiscfs
  * plugin-read-cd

* Fri Feb 05 2016 daviddavid <daviddavid> 2.0.0-5.mga6
+ Revision: 936966
- add patch2 to fix taglib 1.10 cmake detection
- switch BRs to pkgconfig()
- fix owner of data dir and lib dir

* Fri Oct 30 2015 blino <blino> 2.0.0-4.mga6
+ Revision: 896550
- explicitely buildrequire phonon-devel (dep removed from qt4-devel)

* Wed Oct 15 2014 umeabot <umeabot> 2.0.0-3.mga5
+ Revision: 748004
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.0-2.mga5
+ Revision: 689157
- Mageia 5 Mass Rebuild

* Fri Feb 07 2014 matteo <matteo> 2.0.0-1.mga5
+ Revision: 585373
- new version 2.0.0

* Fri Oct 18 2013 umeabot <umeabot> 1.8.1-3.mga4
+ Revision: 518341
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.8.1-2.mga3
+ Revision: 382029
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 26 2012 matteo <matteo> 1.8.1-1.mga3
+ Revision: 297868
- using subpackages for apps, plugins and themes
- imported package silicon

